import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Player1
 * 
 * @author Sage Borghese
 * @version 5/8/19
 */
public class Player1 extends Players
{
    /**
     * Act - do whatever the Player2 wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        checkKeypress("A", "D","W","S");
        ballCollision();
        passFinish();
    }    
    
    /**
     * These will be the keys that control car movement
     */
    public void checkKeypress(String left, String right, String up, String down)
    {
        if (Greenfoot.isKeyDown("A"))
        {
            turn(-4);
        }
        if (Greenfoot.isKeyDown("D"))
        {
            turn(4);
        }
        if (Greenfoot.isKeyDown("W"))
        {
            move(1);
        }
        if (Greenfoot.isKeyDown("S"))
        {
            move(-1);
        }
        
        
    }
    
    /**
     * This method will make it so the car moves backwards when it tries to
     * cross boundaries.
     */
    public void ballCollision()
    {
        if (isTouching (ball.class) )
        {
            double angle = Math.toRadians( getRotation() );
            int x = (int) Math.round(getX() - Math.cos(angle));
            int y = (int) Math.round(getY() - Math.sin(angle));
    
            setLocation(x, y);
        }
    }  
}
