import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Speed Demon World
 * 
 * @author Sage Borghese 
 * @version 5/8/19
 */
public class MyWorld extends World
{
    private int timer;
    Player2 player2 = new Player2();
    Player1 player1 = new Player1();
    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    public MyWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 

        prepare();
        timer = 0;
        showTime();
        showScore();
    }
    
    public void act()
    {
        countTime();
        showScore();
    }
    
    /**
     * Game timer. Increments the timer variable by 1
     * each act method.
     */
    public void countTime()
    {
        timer = timer + 1;
        showTime();
        if(timer == 4000)
        {
            showText("Time's up!", 300, 150);
            Greenfoot.stop();
        }
    }
    /**
     * Show the game time on screen.
     */
    public void showTime()
    {
        showText("Time: " + timer, 500, 25);
    }
    
    /**
     * Show the score of each player on the screen.
     */
    public void showScore()
    {
        showText("Player1 Score: " + player1.getScore(),80, 25);
        showText("Player2 Score: " + player2.getScore(),80, 50);
    }

    /**
     * Prepare the world for the start of the program.
     * That is: create the initial objects and add them to the world.
     */
    private void prepare()
    {

        addObject(player2,297,111);

        addObject(player1,300,92);
        player2.setLocation(303,109);
        ball ball = new ball();
        addObject(ball,464,68);
        ball ball2 = new ball();
        addObject(ball2,296,154);
        ball ball3 = new ball();
        addObject(ball3,361,154);
        ball ball4 = new ball();
        addObject(ball4,410,167);
        ball ball5 = new ball();
        addObject(ball5,450,196);
        ball ball6 = new ball();
        addObject(ball6,552,211);
        ball ball7 = new ball();
        addObject(ball7,571,56);
        ball ball8 = new ball();
        addObject(ball8,594,145);
        ball ball9 = new ball();
        addObject(ball9,372,64);
        ball ball10 = new ball();
        addObject(ball10,287,63);
        ball ball11 = new ball();
        addObject(ball11,201,65);
        ball ball12 = new ball();
        addObject(ball12,105,77);
        ball ball13 = new ball();
        addObject(ball13,4,4);
        ball ball14 = new ball();
        addObject(ball14,8,160);
        ball ball15 = new ball();
        addObject(ball15,127,156);
        ball ball16 = new ball();
        addObject(ball16,153,155);
        ball ball17 = new ball();
        addObject(ball17,97,238);
        ball ball18 = new ball();
        addObject(ball18,10,318);
        ball ball19 = new ball();
        addObject(ball19,101,397);
        ball ball20 = new ball();
        addObject(ball20,32,377);
        ball ball21 = new ball();
        addObject(ball21,175,364);
        ball ball22 = new ball();
        addObject(ball22,270,297);
        ball ball23 = new ball();
        addObject(ball23,323,303);
        ball ball24 = new ball();
        addObject(ball24,387,303);
        ball ball25 = new ball();
        addObject(ball25,468,305);
        ball ball26 = new ball();
        addObject(ball26,355,290);
        ball ball27 = new ball();
        addObject(ball27,427,291);
        ball ball28 = new ball();
        addObject(ball28,583,299);
        ball ball29 = new ball();
        addObject(ball29,353,193);
        ball ball30 = new ball();
        addObject(ball30,205,232);
        ball ball31 = new ball();
        addObject(ball31,168,195);
        ball ball32 = new ball();
        addObject(ball32,286,397);
        ball ball33 = new ball();
        addObject(ball33,343,397);
        ball ball34 = new ball();
        addObject(ball34,397,398);
        ball ball35 = new ball();
        addObject(ball35,471,396);
        ball ball36 = new ball();
        addObject(ball36,564,377);
        ball ball37 = new ball();
        addObject(ball37,160,86);
        player2.setLocation(305,115);
        player1.setLocation(307,86);
        player1.setLocation(312,102);
        player1.setLocation(303,93);
        player1.setLocation(304,101);
        player1.setLocation(315,100);
        player1.setLocation(312,92);
        player1.setLocation(311,91);
        player1.setLocation(289,89);
        player1.setLocation(303,112);
        player2.setLocation(307,106);
        player2.setLocation(308,82);
        player2.setLocation(301,113);
        player1.setLocation(305,74);
        player1.setLocation(307,98);
        player2.setLocation(305,113);
        finishLine finishLine = new finishLine();
        addObject(finishLine,336,104);
        finishLine.setLocation(477,255);
        removeObject(finishLine);

        addObject(finishLine,338,106);
        finishLine.setLocation(336,101);
        finishLine.setLocation(340,109);
        ball4.setLocation(426,179);
        finishLine finishLine2 = new finishLine();
        addObject(finishLine2,426,179);
        finishLine.setLocation(355,122);
        removeObject(finishLine);
        ball4.setLocation(333,105);
        ball4.setLocation(325,163);
        finishLine2.setLocation(332,97);
        finishLine2.setLocation(336,107);
    }
}
